Summary:        SDL 1.2 runtime compatibility library using SDL 2.0
Name:           sdl12-compat
Version:        1.2.60
Release:        4%{?dist}
License:        zlib and (Public Domain or MIT-0) and MIT
URL:            https://github.com/libsdl-org/sdl12-compat
Source0:        %{url}/archive/release-%{version}/%{name}-%{version}.tar.gz

## see https://github.com/libsdl-org/sdl12-compat/commit/77892a1ef5260fe78e593c8337dbe98874ff336c
Patch0001:      0001-fix-SDL12COMPAT_MAX_VIDMODE.patch
# fix a hang in SDL_FreeYUVOverlay(), see https://github.com/libsdl-org/sdl12-compat/issues/275
Patch0002:      sdl12-compat-1.2.60-Fixed-infinite-loop-in-SDL_FreeYUVOverlay.patch

BuildRequires:  make cmake gcc
BuildRequires:  git-core SDL2-devel
BuildRequires:  mesa-libGL-devel mesa-libGLU-devel
Requires:       SDL2 >= 2.0.18
Provides:       SDL = %{version}

%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library that provides fast access 
to graphics frame buffers and audio devices.
This code is a compatibility layer that provides a binary-compatible API for programs written 
based on SDL 1.2, but it actually calls SDL 2.0.

If you are writing new code, please use SDL 2.0 directly and do not use this layer!

%package devel
Summary:        Files to develop SDL 1.2 applications using SDL 2.0
Requires:       %{name} = %{version}-%{release}
# Add deps for SDL_opengl.h
Requires:       pkgconfig(gl) pkgconfig(glu)
# Add deps for SDL_syswm.h
Requires:       pkgconfig(x11) pkgconfig(xproto)
Provides:       SDL-devel = %{version}

%description devel
This devel package is intended to replace SDL-devel.

If you are writing new code, please use SDL 2.0 directly and do not use this layer!


%prep
%autosetup -n %{name}-release-%{version} -S git_am


%build
%cmake 
%cmake_build


%install
%cmake_install

# don't provide the static library, which is a legacy of SDL-static and not required in sdl12-compat
rm -rf %{buildroot}%{_libdir}/*.a


%files
%license LICENSE.txt
%doc README.md BUGS.md COMPATIBILITY.md
%{_libdir}/libSDL-1.2.so.*

%files devel
%{_bindir}/sdl-config
%{_includedir}/SDL/
%{_libdir}/libSDL-1.2.so
%{_libdir}/libSDL.so
%{_libdir}/pkgconfig/sdl12_compat.pc
%{_datadir}/aclocal/sdl.m4


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.60-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.60-3
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 cunshunxia <cunshunxia@tencent.com> - 1.2.60-2
- Rebuilt for SDL2 2.28.2

* Thu Jul 13 2023 Wang Guodong <gordonwwang@tencent.com> - 1.2.60-1
- Upgrade to 1.2.60

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.52-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.52-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Wang Guodong <gordonwwang@tencent.com> - 1.2.52-1
- package init.
